-- MariaDB dump 10.19  Distrib 10.4.30-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: mapboxas_apidev
-- ------------------------------------------------------
-- Server version	10.4.30-MariaDB-cll-lve

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `ads`
--

DROP TABLE IF EXISTS `ads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ads` (
  `id` varchar(36) NOT NULL,
  `userId` varchar(36) NOT NULL,
  `title` varchar(70) NOT NULL,
  `description` varchar(300) DEFAULT ' ',
  `price` decimal(11,2) NOT NULL,
  `url` varchar(500) NOT NULL,
  `lat` decimal(16,14) NOT NULL,
  `lng` decimal(16,14) NOT NULL,
  `createdAt` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userId` (`userId`),
  CONSTRAINT `ads_ibfk_1` FOREIGN KEY (`userId`) REFERENCES `users` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ads`
--

LOCK TABLES `ads` WRITE;
/*!40000 ALTER TABLE `ads` DISABLE KEYS */;
INSERT INTO `ads` VALUES ('350bc9de-9479-4ff6-8a96-c555df1f1011','7b39911f-e371-42a4-8786-04e4f89d88af','www.olx.pl','',0.00,'https://www.olx.pl/',54.34672958731045,18.65503621495782,'2022-06-16 17:06:04'),('d8a4140a-eb08-4f0d-97de-797e5683185f','7b39911f-e371-42a4-8786-04e4f89d88af','Allegro','',0.00,'https://allegro.pl/',52.23585457879148,20.97905792535059,'2022-06-16 17:03:59');
/*!40000 ALTER TABLE `ads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` varchar(36) NOT NULL,
  `username` varchar(25) NOT NULL,
  `email` varchar(254) NOT NULL,
  `password` varchar(80) NOT NULL,
  `role` tinyint(1) DEFAULT 1,
  `refreshToken` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES ('0ab42a23-5203-4f1f-891f-115916a78bb0','czerwik','czerwitom@gmail.com','$2b$10$gMe/SaOrivgx1cYIpZLhdOtFeTqVOCKKnuEAaUlG/l0lZu9ih5eRy',1,NULL),('7b39911f-e371-42a4-8786-04e4f89d88af','tomczer','tomcz@op.pl','$2b$10$k5RHbCf1ZsXq715nLbLWVO2N5pTSb9Zevu81mt4bYznEcc7kJI68.',0,'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjdiMzk5MTFmLWUzNzEtNDJhNC04Nzg2LTA0ZTRmODlkODhhZiIsImlhdCI6MTY2MzkyMTY4MSwiZXhwIjoxNjk1NDU3NjgxfQ.VO8VBI6q8Ts2euJG-A9eoo8i3Q6M5tfaobE8XRFKrq8');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'mapboxas_apidev'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-03-19 21:59:13
