"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pool = void 0;
const promise_1 = require("mysql2/promise");
const config_1 = require("../config/config");
exports.pool = (0, promise_1.createPool)({
    user: config_1.config.DB_USER,
    password: config_1.config.DB_PASSWORD,
    database: config_1.config.DB_DATABASE,
    host: config_1.config.DB_HOST,
    namedPlaceholders: true,
    decimalNumbers: true,
});
//# sourceMappingURL=db.js.map