"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.credentials = void 0;
const cors_config_1 = require("../config/cors.config");
const credentials = (req, res, next) => {
    if (req.headers.origin === cors_config_1.allowedOrigin) {
        res.header('Access-Control-Allow-Credentials', 'true');
    }
    next();
};
exports.credentials = credentials;
//# sourceMappingURL=credentials.js.map