"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usersRouter = void 0;
const express_1 = require("express");
const users_controller_1 = require("../controllers/users.controller");
exports.usersRouter = (0, express_1.Router)();
exports.usersRouter.route('/register')
    .post(users_controller_1.UsersController.register);
exports.usersRouter.route('/login')
    .post(users_controller_1.UsersController.login);
exports.usersRouter.route('/logout')
    .patch(users_controller_1.UsersController.logout);
exports.usersRouter.route('/refresh')
    .get(users_controller_1.UsersController.refresh);
//# sourceMappingURL=users.routes.js.map