import { NextFunction, Request, Response } from 'express';
import { config } from '../config/config';

export const credentials = (req: Request, res: Response, next: NextFunction) => {
  if (req.headers.origin === config.ALLOWED_ORIGIN) {
    res.header('Access-Control-Allow-Credentials', 'true');
  }
  next();
};
