import { Router } from 'express';
import { UsersController } from '../controllers/users.controller';

export const usersRouter = Router()

usersRouter.route('/register')
  .post(UsersController.register);

usersRouter.route('/login')
  .post(UsersController.login);

usersRouter.route('/logout')
  .patch(UsersController.logout);

usersRouter.route('/refresh')
  .get(UsersController.refresh);