import { allowedOrigin } from '../config/cors.config';
import { NextFunction, Request, Response } from 'express';

export const credentials = (req: Request, res: Response, next: NextFunction) => {
  if (req.headers.origin === allowedOrigin) {
    res.header('Access-Control-Allow-Credentials', 'true');
  }
  next();
};
