export interface SmallAdEntity {
  id: string;
  userId: string;
  lat: number;
  lng: number;
}

export interface AdEntity {
  id?: string;
  userId: string;
  title: string;
  description: string;
  price: number;
  url: string;
  lat: number;
  lng: number;
  createdAt?: Date;
}

export interface AdEntityWithUsername extends AdEntity {
  username: string;
}
